local RC = LibStub("AceAddon-3.0"):GetAddon("Raid Check")
local L = LibStub("AceLocale-3.0"):GetLocale("Raid Check", true)

RC.playerData = {};

RC.AddOn_Name = "Raid Check";

RC.MainFrameWidth = 325;

RC.GrpWidth = RC.MainFrameWidth-5;
RC.DDWidth = 100;

RC.ButtonWidth = 85;
RC.ButtonHeight = 25;

RC.PlayerWidth = 125;
RC.FlFoRuWidth = 40;
RC.Spacing = 5;

-- UI Height Slider Variables
RC.UserScreenResolution = ({GetScreenResolutions()})[GetCurrentResolution()];
if RC.UserScreenResolution then
	RC.MaxWidth, RC.MaxHeight = RC.UserScreenResolution:match("([^,]+)x([^,]+)")
else
	RC.MaxWidth = 325
	RC.MaxHeight = 800
end
RC.MinHeight = 240;
RC.SliderStep = 10;

RC.GBoW = 203539; -- Retribution Paladin's Greater Blessing of Wisdom

RC.FoodLevels = {
	225,
	300,
	375,
	400,
	500,
};

RC.Food = {
	201641, -- Feast Stamina 725 (500)
	201640, -- Feast Intellect 500
	201639, -- Feast Agility 500
	201638, -- Feast Strength 500

	201637, -- Feast Stamina 600 (400)
	201636, -- Feast Intellect 400
	201635, -- Feast Agility 400
	201634, -- Feast Strength 400

	225606, -- Fishbrul Special (375)
	225603, -- Haste 375
	225602, -- Crit 375
	225604, -- Mastery 375
	225605, -- Versatility 375

	225601, -- Drogbar-Style Salmon (300)
	225598, -- Legion Haste (300)
	225597, -- Legion Crit (300)
	225599, -- Legion Mastery (300)
	225600, -- Legion Versatility (300)
	225613, -- Legion Crit (300) OPTIONAL WOWHEAD FOUND
	225614, -- Legion Haste (300) OPTIONAL WOWHEAD FOUND
	225615, -- Legion Mastery (300) OPTIONAL WOWHEAD FOUND
	225616, -- Legion Versatility (300) OPTIONAL WOWHEAD FOUND

	201332, -- Mastery 225
	201334, -- Versatility 225
	201330, -- Haste 225
	201223, -- Crit 225
	201336, -- Spiced Rip Roast (225)
};

RC.FlaskLevels = {
	1300, -- Legion Flasks
};

RC.Flask = {
	188034, --Legion Strength
	188035, --Legion Stamina
	188031, --Legion Intellect
	188033, --Legion Agi
};

RC.RuneLevels = {
	325, --Legion Rune
}
RC.Runes = {
	224001, --defiled-augmentation
};

RC.FelFocus = 242551; --Fel Focus 7.2

-- The following are override values for items that may not give the exact number appropriately
RC.OverRide225 = 201336; -- Spiced Rib Roast (225)
RC.OverRide300 = 225601; -- Drogbar-Style Salmon (300)
RC.OverRide375 = 225606; -- Fishbrul Special (375)

RC.OverRide400 = {
	201637, -- Feast Stamina 600 (400)
	201636, -- Feast Intellect 400
	201635, -- Feast Agility 400
	201634, -- Feast Strength 400

};

RC.OverRide500 = {
	201641, -- Feast Stamina 725 (500)
	201640, -- Feast Intellect 500
	201639, -- Feast Agility 500
	201638, -- Feast Strength 500
};
